Story5Biel/urls.py
from home import urls, views
from django.contrib import admin
from .views import index
from django.urls import include, path
from story6 import views
from story8 import views
from story9 import views
from django.contrib.auth import views as auth_views


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', index),
    path('', include('home.urls')),
    path('', include('story6.urls')),
    path('', include('story8.urls')),
    path('', include('story9.urls')),
    path('accounts/', include('django.contrib.auth.urls')),
    path('accounts/profile/',
         auth_views.LoginView.as_view(template_name='home/story9.html')),
    path('accounts/logout/',
         auth_views.LoginView.as_view(template_name='home/story9.html')),
]

home/urls.py
from django.urls import path, include
from django.contrib import admin
from .views import showpelajaranView, pelajarandetailsView, deletepelajaranView
from . import views
app_name = 'home'

urlpatterns = [
    path('', views.index, name='index'),

    path('about/', views.about, name='about'),
    path('experience/', views.experience, name='experience'),
    path('contact/', views.contact, name='contact'),
    path('story1/', views.story1, name='story1'),
    path('formpelajaran/', views.formpelajaran, name='formpelajaran'),
    path('showpelajaran/', showpelajaranView.as_view(), name='showpelajaran'),
    path('pelajarandetails/<int:pk>',
         pelajarandetailsView.as_view(), name='pelajarandetails'),
    path('pelajarandetails/<int:pk>/deletepelajaran',
         deletepelajaranView.as_view(), name='deletepelajaran'),
]

story6/urls.py
from django.urls import path
from . import views

app_name = 'story6'

urlpatterns = [
    path('my-schedule/', views.my_schedule, name='schedule'),    
    # path('my-schedule/<int:idx>/add/', views.add_participant, name='addP'),
    path('my-schedule/<int:idx>/delete/', views.delete_activity, name='deleteA'),
    path('my-schedule/<int:idx>/delete/p/', views.delete_participant, name='deleteP'),
]

story9/urls.py
from django.contrib import admin
from django.urls import path, include
from . import views

app_name = 'story9'

urlpatterns = [
    path('index/', views.story9, name='login'),
    path('signin/', views.signin, name='signin'),
]

home/models.py
from django.db import models
from django.urls import reverse

# Create your models here.


class pelajaran(models.Model):
    namapelajaran = models.CharField(max_length=30, default="Nama pelajaran")
    dosen = models.CharField(max_length=30, default="Mas Toto")
    sks = models.CharField(max_length=10, default="4")
    tahun = models.CharField(max_length=20, default="Semester/Tahun")
    deskripsi = models.CharField(
        max_length=300, default="Deskripsikan matkul tersebut")
    ruang = models.CharField(max_length=10, default="B102")

    def get_absolute_url(self):
        return reverse('home:list')

story9/models.py
from django.db import models

# Create your models here.

home/forms.py
from django import forms
from .models import pelajaran


class Pelajaranform(forms.ModelForm):
    class Meta:
        model = pelajaran
        fields = [
            'namapelajaran',
            'dosen',
            'sks',
            'tahun',
            'deskripsi',
            'ruang'
        ]
        widgets = {
            'namapelajaran': forms.TextInput(attrs={'class': 'form-control'}),
            'dosen': forms.TextInput(attrs={'class': 'form-control'}),
            'sks': forms.TextInput(attrs={'class': 'form-control'}),
            'tahun': forms.TextInput(attrs={'class': 'form-control'}),
            'deskripsi': forms.Textarea(attrs={'class': 'form-control'}),
            'ruang': forms.TextInput(attrs={'class': 'form-control'}),
        }

home/views.py
from django.shortcuts import render
from django.views.generic import ListView, DetailView, DeleteView
from django.urls import reverse_lazy

from .models import pelajaran
from .forms import Pelajaranform


# Create your views here.
def base(request):
    return render(request, "base.html")


def index(request):
    return render(request, 'home/index.html')


def about(request):
    return render(request, 'home/about.html')


def experience(request):
    return render(request, 'home/experience.html')


def contact(request):
    return render(request, 'home/contact.html')


def story1(request):
    return render(request, 'home/story1.html')


def comingsoon(request):
    return render(request, 'home/comingsoon.html')


def formpelajaran(request):
    my_form = Pelajaranform(request.POST or None)
    if my_form.is_valid():
        my_form.save()

    context = {
        'form': my_form
    }
    return render(request, 'home/formpelajaran.html', context)


class showpelajaranView(ListView):
    model = pelajaran
    template_name = 'home/showpelajaran.html'


class pelajarandetailsView(DetailView):
    model = pelajaran
    template_name = 'home/pelajarandetails.html'


class deletepelajaranView(DeleteView):
    model = pelajaran
    template_name = 'home/deletepelajaran.html'
    success_url = reverse_lazy('home:showpelajaran')

story9/views.py
from django.shortcuts import render, redirect
from django.contrib.auth import authenticate, login, logout
from django.contrib.auth.forms import UserCreationForm

# Create your views here.


def story9(request):
    return render(request, 'home/story9.html')


def signin(request):
    if (request.method == 'POST'):
        form = UserCreationForm(request.POST)

        if (form.is_valid):
            form.save()
            username = form.cleaned_data['username']
            password = form.cleaned_data['password1']

            user = authenticate(username=username, password=password)
            login(request, user)

            return redirect('/index')
    else:
        form = UserCreationForm()
    context = {
        'form': form,
    }
    return render(request, 'home/signin.html', context)

home/templates/home/about.html
{% extends 'base.html'%}
{% block content %}
<div class="grid-main-container">
  <div class="picture-container">
    <img src="../static/home/image/home/Nabiel_Doang.png" alt="display-pic">
  </div>
  <div class="flex-column-container">
    <h2>Muhammad Naufal Nabiel</h2>
    <h2>Information System 2019</h2>
    <h2>University Of Indonesia</h2>
    <h2>NPM : 1906353624</h2>
  </div>
  <div class="layerbox">
    <div class="description-box">
      <div class="interest-title">
        <h3 data-title="DESCRIPTION">DESCRIPTION</h3>
      </div>
      <p>Hello my name is Nabiel, I'm always looking forward to experience new things in live. Although I'm currently majoring in Faculty of Computer Science, I actually likes to do things that related to environment, organization, and creative content </p>
  </div>
  </div>
  <div class="astronaut">
    <img src="../static/home/image/home/amongus.png" alt="astronaut">
  </div>
  <div class="futuristic">
    <h1 class="Fut"data-title="Future Programmer">Future Programmer</h1>
  </div>
  <div class="interest">
    <div class="interest-box">
      <div class="interest-title">
        <h3 data-title="INTEREST">INTEREST</h3>
      </div>
      <h4>
        CREATIVE CONTENT<br>
        ENVIRONMENT<br>
        EVENT ORGANIZING
      </h4>
    </div>
  </div>
</div>
{% endblock %}

home/templates/home/books.html
{% load static %}

<!-- Head -->
{% block head %}
<title>
    My Books
</title>
<link rel="stylesheet" href="{% static 'home/story8.css' %}" />

<link rel="stylesheet"href="https://fonts.googleapis.com/css?family=Secular%20One">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
{% endblock head %}

<!-- Body -->
{% block body %}
<div class="container">
    <p style="font-size: x-large; font-weight:900; padding: 10px; 
    margin-top: 100px;">Find a Book You Desire!</p>
    <input type="text" id="searchBox" placeholder="Search library">
    
    <table id="table">
        
    </table>

</div>

<script type="text/javascript" src="{% static 'home/story8.js' %}"></script>
{% endblock body %}

home/templates/home/contact.html
{% extends 'base.html'%}
{% block content %}
<div class="contact-flex">
  <div class="flex-column-container" id="contact">
    <div class="contact-icon">
      <i class="fab fa-instagram-square"></i></i><h2>@nabiel.mn</h2><br>
    </div>
    <div class="contact-icon">
      <i class="fas fa-envelope-square"></i><h2>nabiel.naufal@gmail.com</h2><br>
    </div>
    <div class="contact-icon">
      <i class="fab fa-linkedin"></i><h2>Naufal Nabiel</h2><br>
    </div>
    <div class="contact-icon">
      <i class="fas fa-address-book"></i><h2>+62 858 9157 6566</h2><br>
    </div>
  </div>
</div>
{% endblock %}

home/templates/home/deletepelajaran.html
{% extends 'base.html' %}

{% block content %}
<div class="navblock"></div>
<div class="contact-flex schedule-details">
<h2>Do you want to delete this matkul ?</h2>
<br /><br />
<h4>{{ pelajaran.namapelajaran }}</h4>
<br />
<form method="GET"> {% csrf_token %}
    <button class="btn btn-secondary">Delete</button>
</form>
</div>


<a class="sidebar-butt" href="{% url 'home:showpelajaran' %}">
    show
</a>

{% endblock content %}

home/templates/home/formpelajaran.html
{% extends 'base.html' %}

{% block content %}
<div class="flex-container schedule-details align-items-left justify-content-center">
        
<h1>Form Pengisian Mata Kuliah</h1>
</div>
    <div class="flex-container schedule-details align-items-center justify-content-center">
        
    <form id="forming" method="POST"> {% csrf_token %}
        {{ form.as_p }}
        
        <input type="submit" value="Save" />

    </form>
    <a href="{% url 'home:showpelajaran' %}">
        <h2 id ="Lihat">
            Lihat Matkul
        </h2>
    </a>
    
</div>

{% endblock content %}

home/templates/home/index.html
{% extends 'base.html'%}
{% block content %}
<div class="flex-container">
  <div id="middle-bg">
    <h1 class="greeting" data-title="Halo selamat datang!" href="#About">Halo selamat datang!</h1>
  </div>
  <div id="fotoHalo">
    <h1>
      <img src="kucing.png">
    </h1>
  </div>
</div>
{% endblock %}

home/templates/home/my_schedule.html
{% extends 'base.html' %}
{% load crispy_forms_tags %}


{% block content %}

<!DOCTYPE html>
<html lang="en">
    {% load static %}
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <!-- <link rel="stylesheet" href="{% static 'home/style.css' %}" type="text/css">
        <link rel="stylesheet" href="{% static 'home/style-s.css' %}" type="text/css"> -->
        <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
        <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" 
        integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
        <link href="https://fonts.googleapis.com/css2?family=Caveat:wght@400;700&display=swap" rel="stylesheet">

        <title>
           Jadwal
        </title>
    </head>

    <style>
        #container {
            background-color: #00F0B5;
            width: 100%; height: auto;
        }
        #nav {
            background-color: #F4F4ED;
            width: 100%; height: 70px;
            position:fixed; top: 0px;

            display: flex; white-space:nowrap;
            justify-content: center; align-items: center;
        }
        .mypage {
            position: relative;;
            margin-top: 13px;
            color: #242424;

            font-family: 'Caveat', cursive;
            font-style: normal;
            font-weight: bold; font-size: 30px;
        }
        .activityForm {
            position: relative;
            width: auto;
            margin-left: auto; margin-right: auto;
            margin-top: 50px;

            display: flex; 
            justify-content: center; 
            align-items: center;
            text-align: center;

            color: #000000;

            font-size: 20px;
            font-weight: 500;
        }
        .participantForm {
            position: relative;
            width: auto;
            margin-left: auto; margin-right: auto;
            margin-top: 50px;

            display: flex; 
            justify-content: center; 
            align-items: center;
            text-align: center;

            color: #000000;

            font-size: 20px;
            font-weight: 500;
        }
        .participantFormTable {
            border-spacing: 5px;
            border-collapse: separate;
        }
        .showModels {
            position: relative;
            width: auto;
            margin-left: auto; margin-right: auto;
            margin-top: 150px;

            display: flex;
            justify-content: center; align-items: center;
            flex-wrap: wrap;

            color: #000000;
        }
        .modelTable {
            border-spacing: 20px;
            border-collapse: separate;
        }
        .modelTableHead {
            font-weight: bold; font-size: 18px;
            color: #000000;
        }
        .modelCards {
            position: relative;
            width: 250px;
            height: auto;
            min-height: 300px;
            min-width: 200px;
            margin: 10px;

            display: flex;
            justify-content: center; align-items: center;
            flex-direction: column;
            flex-wrap: wrap;

            background-color: #e3fdfd;
            color: #242424;

            border-radius: 5px;
        }
        .modelCardContent {
            position: absolute;
            top: 10px;

            display: flex;
            justify-content: center; align-items: center;
            flex-direction: column;
            flex-wrap: wrap;
        }
        .modelCardDelBttn {
            position: absolute;
            bottom: 15px;
        }
        .activity {
            position: relative;
            margin-top: 5px;
            width: 250px;
            height: auto;
            min-width: 200px;

            font-weight: 500;
            font-size: 20px;

            text-align: center;

            background-color: #CBF1F5;
        }
        .participant {
            margin-top: 15px;

        }
    
    </style>
    

    <body id="container">
        <div class="showModels">
            <div class="modelTableHead">

            </div>
            {% for agd in activity %}
            <div class="modelCards">
                <div class="modelCardContent">
                    <div class="activity">
                        {{ agd.agenda }}
                    </div>
                    <div class="participant">
                        <table>
                            {% for peep in participant %}
                            {% if peep.actvty == agd %}
                            <tr> 
                                <td>
                                    - {{ peep.person }}
                                    <a href="{% url 'story6:deleteP' peep.id %}">
                                        [remove]
                                    </a>
                                </td> 
                            </tr>
                            {% endif %}
                            {% endfor %}
                        </table>
                    </div>
                </div>
                
                <div class="modelCardDelBttn">
                    <a href="{% url 'story6:deleteA' agd.id %}" class="btn btn-outline-danger">
                        <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-trash-fill" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                            <path fill-rule="evenodd" d="M2.5 1a1 1 0 0 0-1 1v1a1 1 0 0 0 1 1H3v9a2 2 0 0 0 2 2h6a2 2 0 0 0 2-2V4h.5a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1H10a1 1 0 0 0-1-1H7a1 1 0 0 0-1 1H2.5zm3 4a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-1 0v-7a.5.5 0 0 1 .5-.5zM8 5a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-1 0v-7A.5.5 0 0 1 8 5zm3 .5a.5.5 0 0 0-1 0v7a.5.5 0 0 0 1 0v-7z"/>
                        </svg>
                    </a>
                </div>
            </div>
            {% endfor %}
        </div>

        <div class="participantForm">
            <form method="POST" > 
                <div>
                    <table class="participantFormTable">
                    {% csrf_token %}
                    <tr>
                        <td>
                            - Participate in an Activity -
                        </td>
                    </tr>
                        <tr >
                            <td>
                                {{ participant_form.person }}
                            </td>
                        </tr>
                        <tr >
                            <td>
                                {{ participant_form.actvty }}
                            </td>
                        </tr>
                    </table>
                    <!-- <a> -->
                        <input type="submit" value="Save" class="btn btn-light"
                        style="margin-top: 5px; margin-bottom: 10px;"/>
                    <!-- </a> -->
                </div>
            </form>
        </div>

        <div class="activityForm">
            <form method="POST" > 
                <div>
                    <table>
                    {% csrf_token %}
                        <tr>
                            <td>
                                - Add New Activity -
                            </td>
                        </tr>
                        <tr >
                            <td>
                                {{ activity_form.agenda }}
                            </td>
                        </tr>
                    </table>
                    <input type="submit" value="Save" class="btn btn-outline-light"
                    style="margin-top: 5px;"/>
                </div>
            </form>
        </div>
        
        <div id="nav"> 
            <p class="mypage">
                My Schedule
            </p>
        
            <div style="position: absolute; right: 20px;">
                <a href='/index'>
                    <button type="button" class="btn btn-outline-dark">
                        Home
                    </button>
                </a>
            </div>
        </div>
    </body>

    <footer>
        <footer>
            <div style="height: 100px;"></div>
        </footer>
    </footer>
{% endblock %}

home/templates/home/pelajarandetails.html
{% extends 'base.html' %}

{% block content %}
<!-- <h1 id = "MatkulDetil">Mata Kuliah</h1> -->
<div class="navblock"></div>
<div class="contact-flex schedule-details">
    <div class="flex-column-container" id="contact">
        <div class="attribute-pelajaran" >
            <h2 class="nama-pelajaran">{{ pelajaran.namapelajaran }}</h3>
            <h4>Pengajar : {{ pelajaran.dosen }}</h4>
            <h4>Tahun : {{ pelajaran.tahun }}</h4>
            <h4>SKS : {{ pelajaran.sks }}</h4>
            <h4>Ruang : {{ pelajaran.ruang }}</h4>
        </div>
    </div>
    <p class="deskripsi-pelajaran">Deskripsi : <br> {{ pelajaran.deskripsi }}</p>
</div>
<h1 class="back"><a href="{%url 'home:showpelajaran'%}">Back</a></h1>


{% endblock content %}

home/templates/home/showpelajaran.html
{% extends 'base.html' %}

{% block content %}
<div class="navblock"></div>
<div class="contact-flex">
  <div class="flex-column-container" id="contact">
    <div id = "middle-bg">
        <h1 id="matkulsaya">Mata Pelajaran Saya</h1>
    </div>
    <div class="titleMatkul align-items-center">
        <ul style="list-style-type: none;">
            {% for pelajaran in object_list %}
                <li>
                    <a href="{% url 'home:pelajarandetails' pelajaran.pk %}">
                        <h2 class="pelajaran-list">
                            {{ pelajaran.namapelajaran }}
                        </h2>
                    </a>
                    <a href="{% url 'home:deletepelajaran' pelajaran.pk %}"><h3 class="delete-icon">X</h3></a>
                </li>   
            
            {% endfor %}
        </ul>
    </div> 
    
    </div>
</div>
{% endblock content %}

home/templates/home/signin.html
{% load static %}

<!-- Head -->
{% block head %}
<title>
    Become Us!
</title>
<link rel="stylesheet" href="{% static 'home/story9.css' %}" />
{% endblock head %}

<!-- Body -->  
{% block body %}
    <h1> Become part of us!</h1>

    <form method="post" action="{% url 'story9:signin' %}">
        {% csrf_token %}
        
        {% if form.errors %}
        <p>
            Input rejected.
        </p>
        {% endif %}

        {{ form }}

        <p>
            <input type="submit" value="signin">
        </p>
    </form>
{% endblock body %}

home/templates/home/story1.html
{% extends 'base.html'%}
{% block content %}
    <div class="flexbox-container-s1">
        <div class="flexbox-item item-1-s1"><img src="../static/home/image/home/foto_nabiel.jpg" alt = "foto saya"></div>
        <div class="flexbox-item-s1 item-2-s1">
            <h2 class="s">Hi</h2> 
            <h2 class="s">I'm</h2> 
            <h2 class="s">Nabiel</h2>  
            <h2 class="s">!</h2>  
            <p class="s">
                Muhammad Naufal Nabiel | 1906353624 <br>
                Fasilkom UI 2019, Dreamer
            </p>  
        </div>
    </div>
    <div class="grid-container-s1">
        <div class=" grid-item-s1 grid-1-s1">
            <h3 class="s">DESCRIPTION</h3>
            <p class="s">
                I'm always looking forward to experience new things in live. Although I'm currently majoring in Faculty of Computer Science, I actually likes to do things that related to environment, organization, and creative content.
            </p>
        </div>
        <div class=" grid-item-s1 grid-2-s1">
            <h3 class="s">HOBBIES</h3>
            <p class="s">
                <ul class="s">
                    <li class="s">Gaming</li>
                    <li class="s">Watch Movies</li>
                    <li class="s">Cooking</li>
                    <li class="s">Coding</li>
                </ul>
            </p>
        </div>
        <div class="grid-item-s1 grid-3-s1">
            <h3 class="s">PREVIOUS EDUCATION</h3>
            <p id="school-s1">
                SD Sekolah Citra Alam (2007-2013) <br>
                SMPIT Buahati Islamic School  (2013 - 2016) <br>
                SMAN 28 Jakarta (2016 - 2019)
            </p>
        </div>
    </div>
{% endblock %}

home/templates/home/story9.html
{% load static %}

<!-- Head -->
{% block head %}
<title>
    Story 9
</title>

<link rel="stylesheet" href="{% static 'home/story9.css' %}" />
{% endblock head %}

<!-- Body -->
{% block body %}
        
    
    <h1>
        Welcome!
    </h1>
    {% if user.is_authenticated %}
    <h2>
        - Hello {{ user.username }} -
    </h2>
    <div class="btns">
        <form method="GET" action="/accounts/logout">
            <button type="submit">Logout</button>
        </form>
    </div>
    {% else %}
    <h2>
        - You are not logged in -
    </h2>
    <div class="btns">
        <form method="GET" action="/accounts/login">
            <button type="submit">Login</button>
        </form>
        <form method="GET" action="/signin">
            <button>Signin</button>
        </form>
    </div>
    {% endif %}

{% endblock body %}